--
-- VHDL Architecture vme_firmware.tri_driver.rtl_no_clock
--
-- Created:
--          by - st79.UNKNOWN (TE2MALDIVES)
--          at - 15:57:44 18/08/2005
--
-- using Mentor Graphics HDL Designer(TM) 2003.2 (Build 28)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY tri_driver IS
   GENERIC( 
      width : integer := 32
   );
   PORT( 
      clk         : IN     std_logic;
      data_output : IN     std_logic_VECTOR (width - 1 DOWNTO 0);
      rst         : IN     std_logic;
      write_out   : IN     std_logic;
      path_in_a   : OUT    std_logic_vector (width - 1 DOWNTO 0);
      data_a      : INOUT  std_logic_vector (width - 1 DOWNTO 0)
   );

-- Declarations

END tri_driver ;

--
ARCHITECTURE rtl_no_clock OF tri_driver IS
BEGIN
   
  	path_in_a <=	data_a ;
  	
   with write_out select
   	     data_a <=	data_output when '1',
   			(others => 'Z') when '0',
   			(others => 'Z') when others;
   			
   
--   with write_out select
--  	      path_in_a <=	data_a when '0',
--  	      (others => '0') when '1',
--   			(others => '0') when others;
   			

END rtl_no_clock;

